Flood of error messages after upgrade - only when Roku is of

ryanbuckner
Posts: 1086
Joined: Sat Oct 08, 2011 12:33 pm
Location: Northern Virginia
Contact:

Flood of error messages after upgrade - only when Roku is of

Post by ryanbuckner »

I upgraded to the latest version, now when my Roku Express is turned off, the logs are continuously flooded with these errors. When the Roku is on, there are no errors

Code: Select all

Aug 10, 2023 at 9:40:22 PM
   Roku Network Remote Error       An error occurred executing the GET/PUT request (Device: 944304293): HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/device-info (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c41f0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))
Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 174, in _new_conn
    conn = connection.create_connection(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/connection.py", line 95, in create_connection
    raise err
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/connection.py", line 85, in create_connection
    sock.connect(sa)
TimeoutError: [Errno 60] Operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 703, in urlopen
    httplib_response = self._make_request(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 239, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1282, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1037, in _send_output
    self.send(msg)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 975, in send
    self.connect()
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 205, in connect
    conn = self._new_conn()
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 179, in _new_conn
    raise ConnectTimeoutError(
urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPConnection object at 0x1069c41f0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/adapters.py", line 440, in send
    resp = conn.urlopen(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 785, in urlopen
    retries = retries.increment(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/retry.py", line 592, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/device-info (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c41f0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/RPFramework/RPFrameworkRESTfulDevice.py", line 192, in concurrent_command_processing_thread
    response_obj = requests.get(full_get_url, auth=authentication_param, headers=custom_headers, verify=False)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 645, in send
    r = adapter.send(request, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/adapters.py", line 507, in send
    raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/device-info (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c41f0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))

Aug 10, 2023 at 9:41:39 PM
   Roku Network Remote Error       An error occurred executing the GET/PUT request (Device: 944304293): HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/active-app (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c4c10>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))
Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 174, in _new_conn
    conn = connection.create_connection(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/connection.py", line 95, in create_connection
    raise err
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/connection.py", line 85, in create_connection
    sock.connect(sa)
TimeoutError: [Errno 60] Operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 703, in urlopen
    httplib_response = self._make_request(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 239, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1282, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1037, in _send_output
    self.send(msg)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 975, in send
    self.connect()
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 205, in connect
    conn = self._new_conn()
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 179, in _new_conn
    raise ConnectTimeoutError(
urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPConnection object at 0x1069c4c10>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/adapters.py", line 440, in send
    resp = conn.urlopen(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 785, in urlopen
    retries = retries.increment(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/retry.py", line 592, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/active-app (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c4c10>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/RPFramework/RPFrameworkRESTfulDevice.py", line 192, in concurrent_command_processing_thread
    response_obj = requests.get(full_get_url, auth=authentication_param, headers=custom_headers, verify=False)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 645, in send
    r = adapter.send(request, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/adapters.py", line 507, in send
    raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/active-app (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c4c10>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))

Aug 10, 2023 at 9:42:55 PM
   Roku Network Remote Error       An error occurred executing the GET/PUT request (Device: 944304293): HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/device-info (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c66e0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))
Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 174, in _new_conn
    conn = connection.create_connection(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/connection.py", line 95, in create_connection
    raise err
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/connection.py", line 85, in create_connection
    sock.connect(sa)
TimeoutError: [Errno 60] Operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 703, in urlopen
    httplib_response = self._make_request(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 239, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1282, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 1037, in _send_output
    self.send(msg)
  File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/http/client.py", line 975, in send
    self.connect()
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 205, in connect
    conn = self._new_conn()
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connection.py", line 179, in _new_conn
    raise ConnectTimeoutError(
urllib3.exceptions.ConnectTimeoutError: (<urllib3.connection.HTTPConnection object at 0x1069c66e0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/adapters.py", line 440, in send
    resp = conn.urlopen(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/connectionpool.py", line 785, in urlopen
    retries = retries.increment(
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/urllib3/util/retry.py", line 592, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/device-info (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c66e0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/RPFramework/RPFrameworkRESTfulDevice.py", line 192, in concurrent_command_processing_thread
    response_obj = requests.get(full_get_url, auth=authentication_param, headers=custom_headers, verify=False)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/sessions.py", line 645, in send
    r = adapter.send(request, **kwargs)
  File "/Library/Application Support/Perceptive Automation/Indigo 2022.2/IndigoPluginHost3.app/Contents/Resources/PlugIns/requests/adapters.py", line 507, in send
    raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPConnectionPool(host='192.168.1.215', port=8060): Max retries exceeded with url: /query/device-info (Caused by ConnectTimeoutError(<urllib3.connection.HTTPConnection object at 0x1069c66e0>, 'Connection to 192.168.1.215 timed out. (connect timeout=None)'))

User avatar
RogueProeliator
Posts: 2516
Joined: Tue Nov 13, 2012 3:54 pm
Location: Baton Rouge, LA

Re: Flood of error messages after upgrade - only when Roku i

Post by RogueProeliator »

I'm not seeing that on my devices ... but I will take a look this weekend and see what can be done. I am not familiar with Roku Express, but we can surely stop the log spam. Is that all the time or only when debug is on?
ryanbuckner
Posts: 1086
Joined: Sat Oct 08, 2011 12:33 pm
Location: Northern Virginia
Contact:

Re: Flood of error messages after upgrade - only when Roku i

Post by ryanbuckner »

It's all the time when the device is off. Debug is turned off so these show as red errors.
User avatar
whmoorejr
Posts: 763
Joined: Tue Jan 15, 2013 11:23 am
Location: Houston, TX

Re: Flood of error messages after upgrade - only when Roku i

Post by whmoorejr »

ryanbuckner wrote:It's all the time when the device is off.
Double check the setting on your TV. Settings -> Power -> Fast TV Start -> On. By default that is "Off" so when it turns off, the network card in the TV powers down which breaks the connection to the plugin.
Bill
My Plugin: My People
ryanbuckner
Posts: 1086
Joined: Sat Oct 08, 2011 12:33 pm
Location: Northern Virginia
Contact:

Re: Flood of error messages after upgrade - only when Roku i

Post by ryanbuckner »

Samsung Instant on is set to On
User avatar
whmoorejr
Posts: 763
Joined: Tue Jan 15, 2013 11:23 am
Location: Houston, TX

Re: Flood of error messages after upgrade - only when Roku i

Post by whmoorejr »

ryanbuckner wrote:Samsung Instant on is set to On
Oops, my bad. I was thinking of a Roku TV. That's when I was getting those errors.

Why does the Roku Express turn off? I don't have one, but I don't believe power on/off is an option (unless you disconnect power to the roku box). From this article: https://support.roku.com/article/6306527767575 It might be the roku's "Power Saving" feature. The roku is supposed to still wake up to the roku app (which tells me that it's still alive on your network).... but the article goes on to say if you are having issues with connecting, try turning power saving off.

You can use the following steps to disable auto power savings.
  • Press Home home button on Roku remote on your Roku remote
    Scroll and select Settings
    Select System
    Select Power
    Select Auto power savings
    Uncheck the box next to After 20 minutes of no interaction
Bill
My Plugin: My People
User avatar
RogueProeliator
Posts: 2516
Joined: Tue Nov 13, 2012 3:54 pm
Location: Baton Rouge, LA

Re: Flood of error messages after upgrade - only when Roku i

Post by RogueProeliator »

Try this one and see if it helps...
https://github.com/RogueProeliator/indi ... .8.0-beta1

It disables the network error on status polling -- if this stops your flood I'll think about it long term and see, maybe that could be a switch as to whether or not a status poll is an error. For those that DO get status when asleep it might make sense to have an error (single one not recurring).

Adam
joeaug
Posts: 28
Joined: Sat Apr 13, 2019 6:54 am

Re: Flood of error messages after upgrade - only when Roku i

Post by joeaug »

Hi. I too started getting this flood of errors but not sure if it's because some of my many Roku devices are off. This didn't used to happen. I'll check out that build that disables and post later. Thanks.
Post Reply

Return to “Roku Network Remote”